#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,x,min,max,br,vreme;
    int niz[n];
    cin>>n>>x;
    cin>>br;
    max=br;
    min=br;
    for(int i=0; i<n-1; i++){
        cin>>br;
        if(br<min)min=br;
        if(br>max)max=br;
    }
    if(abs(x-max)<abs(x-min)){
        vreme=abs(x-max)+abs(max-min);
    }
    else{
        vreme=abs(x-min)+abs(max-min);
    }
    cout<<vreme;
}